[FYI] 3.8/RC0 - remove the SQL Server 2005 Express Tools

moffmoff Posts: 34
edited June 18, 2008 1:50PM in SQL Prompt Previous Versions
Thought I'd post this here to save anyone with SQL Prompt 3.8 installed and planning to install SQL 2008 RC0 some hassle.

As has been posted already, 3.8 doesn't work with RC0. However, worse than that, RC0 won't install if you have SQL Prompt 3.8 installed. And even worse, RC0 gives a completely misleading error message!
Sql2005SsmsExpressFacet
Checks whether SQL Server 2005 Express Tools are installed.
The SQL Server 2005 Express Tools are installed. To continue, remove the SQL Server 2005 Express Tools.

So uninstall SQL Prompt before trying to install SQL2008 RC0.

See here: http://forums.microsoft.com/msdn/ShowPo ... D=1&mode=1

Comments

  • Hi,

    The problem will be solved if you manually remove the SQL Prompt registry key for 2005 SQL Server Express that can be found in the following location in your registry:
    (Start - Run - regedit)
    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft SQL Server\90\Tools\ShellSEM\AddIns\RedGate.SQLPrompt.SSMSUI

    Alternatively (recommended solution), there is a patch release that addresses this issue and you can get it by emailing support[email protected]
    Upgrade to the patch release before installing RC0 and you should no longer have this problem. Also, the patch release will allow SQL Prompt to work on RC0.

    Excuse us for any inconvenience caused.

    Thanks,
    Tanya
    Project Manager
    Red Gate Software Ltd
Sign In or Register to comment.